std::experimental::bad_optional_access(3)

NAME
std::experimental::bad_optional_access - Exception class thrown when a disengaged optional object is dereferenced.

SYNOPSIS

Inherits std::logic_error.

  Public Member Functions
bad_optional_access (const char *__arg)
virtual const char * what () const noexcept

Detailed Description

Exception class thrown when a disengaged optional object is dereferenced.

Definition at line 104 of file experimental/optional.

Author

Generated automatically by Doxygen for libstdc++ from the source code.